# List Payment Instrument Associations Retrieve a list of Payment Instrument Association resources. Endpoint: GET /payment_instrument_associations Version: 2022-02-01 Security: BasicAuth ## Header parameters: - `Finix-Version` (string) Specify the API version of your request. For more details, see Versioning. Example: "2022-02-01" ## Query parameters: - `after_cursor` (string) Return every resource created after the cursor value. - `before_cursor` (string) Return every resource created before the cursor value. - `limit` (integer) The numbers of items to return. Example: 10 - `merchant_id` (string) Filter by Merchant ID. Example: "MUeDVrf2ahuKc9Eg5TeZugvs" - `payment_instrument_id` (string) Filter by Payment Instrument ID. Example: "PIcgYZswyRfqSSbvMsxuaHxZ" - `application_id` (string) Filter by Application ID. Example: "APc9vhYcPsRuTSpKD9KpMtPe" ## Response 200 fields (application/json): - `page` (object) Details the page that's returned. - `page.limit` (integer) The number of entries to return. - `page.next_cursor` (string,null) The cursor to use for the next page of results. - `_embedded` (object) - `_embedded.payment_instrument_associations` (array) - `_embedded.payment_instrument_associations.id` (string) The ID of the Payment Instrument Association. Example: "instrument_association_9xZ6pUo5fXb7aAB4o3TqkK" - `_embedded.payment_instrument_associations.created_at` (string) Timestamp of when the object was created. - `_embedded.payment_instrument_associations.updated_at` (string) Timestamp of when the object was last updated. - `_embedded.payment_instrument_associations.application_id` (string) The ID of the Application the resource was created under. Example: "APxxx" - `_embedded.payment_instrument_associations.enabled` (boolean) Indicates whether this current Payment Instrument Association is enabled. - `_embedded.payment_instrument_associations.instrument_id` (string) The ID of the Payment Instrument whose events will be charged to the specified merchant. Example: "PIcgYZswyRfqSSbvMsxuaHxZ" - `_embedded.payment_instrument_associations.merchant_id` (string) The ID of the Merchant that fees will be applied to. Example: "MUcgYZswyRfqSSbvMsxuaHxZ" - `_embedded.payment_instrument_associations.tags` (object,null) Include up to 50 key: value pairs to annotate requests with custom metadata. - Maximum character length for individual keys is 40. - Maximum character length for individual values is 500. (For example, order_number: 25, item_type: produce, department: sales) - `_embedded.payment_instrument_associations._links` (object) - `_embedded.payment_instrument_associations._links.self` (object) Link to the resource that was used in the request. - `_embedded.payment_instrument_associations._links.self.href` (string) ## Response 401 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 403 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 406 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource.